maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Shane Isbell (JIRA)" <j...@codehaus.org>
Subject [jira] Commented: (NMAVEN-93) NMaven requires admin privs on Vista to build
Date Wed, 05 Dec 2007 16:17:57 GMT

    [ http://jira.codehaus.org/browse/NMAVEN-93?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#action_115927
] 

Shane Isbell commented on NMAVEN-93:
------------------------------------

Writing maven plugins in C# requires the use of a custom application domain manager, which,
in turn, requires installation of assemblies into the GAC. So there would be no way to avoid
this on Vista.



> NMaven requires admin privs on Vista to build
> ---------------------------------------------
>
>                 Key: NMAVEN-93
>                 URL: http://jira.codehaus.org/browse/NMAVEN-93
>             Project: NMaven
>          Issue Type: Bug
>            Reporter: Brett Porter
>
> I'm unclear on why installing to the GAC is required simply to build NMaven - and this
causes the build to fail unless you run at elevated privileges on Vista.
> Is there a way this requirement could be avoided?

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message